<?php
require_once($_SERVER['DOCUMENT_ROOT'].'/includes/global.inc.php');
page_header('Vergistbare producten', 'inv_fermentables');
?>

   <div id="jqxgrid"></div>
   <div style="margin-top: 30px;">
    <div id="cellbegineditevent"></div>
    <div style="margin-top: 10px;" id="cellendeditevent"></div>
   </div>

   <!-- Popup editor window. -->
   <div id="popupWindow">
    <div>Wijzig vergistbaar product</div>
    <div style="overflow: hidden;">
     <table style="width: 100%;">
      <tr>
       <td align="right" style="vertical-align: top;">Product naam:</td>
       <td align="left" colspan="3" style="vertical-align: top;"><input id="name" /></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Opmerkingen:</td>
       <td align="left" colspan="3"><textarea id="notes"></textarea></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Type:</td>
       <td align="left"><div id="type"></div></td>
       <td align="right" style="vertical-align: top;">Opbrengst %:</td>
       <td align="left"><div id="yield"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Mout type:</td>
       <td align="left"><div id="graintype"></div></td>
       <td align="right" style="vertical-align: top;">Kleur EBC:</td>
       <td align="left"><div id="color"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Herkomst:</td>
       <td align="left" style="vertical-align: top;"><input id="origin" /></td>
       <td align="right" style="vertical-align: top;">Vochtgehalte %:</td>
       <td align="left"><div id="moisture"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Leverancier:</td>
       <td align="left" style="vertical-align: top;"><input id="supplier" /></td>
       <td align="right" style="vertical-align: top;">Grof/fijn verschil %:</td>
       <td align="left"><div id="coarse_fine_diff"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Max. in stort %:</td>
       <td align="left"><div id="max_in_batch"></div></td>
       <td align="right" style="vertical-align: top;">Eiwitgehalte %:</td>
       <td align="left"><div id="protein"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Maischen nodig:</td>
       <td align="left"><div id="recommend_mash"></div></td>
       <td align="right" style="vertical-align: top;">Opgelost eiwit %:</td>
       <td align="left"><div id="dissolved_protein"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Toevoegen na koken:</td>
       <td align="left"><div id="add_after_boil"></div></td>
       <td align="right" style="vertical-align: top;">Enzymkracht &deg;WK:</td>
       <td align="left"><div id="diastatic_power"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Toevoegen bij:</td>
       <td align="left"><div id="added"></div></td>
       <td align="right" style="vertical-align: top;">pH in demiwater:</td>
       <td align="left"><div id="di_ph"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Altijd op voorraad:</td>
       <td align="left"><div id="always_on_stock"></div></td>
       <td align="right" style="vertical-align: top;">Base tot pH 5,7 mEq/l:</td>
       <td align="left"><div id="acid_to_ph_57"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Voorraad:</td>
       <td align="left"><div id="inventory"></div></td>
       <td align="right" style="vertical-align: top;">Productie datum:</td>
       <td align="left" style="vertical-align: top;"><div id="production_date"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Prijs per kg:</td>
       <td align="left"><div id="cost"></div></td>
       <td align="right" style="vertical-align: top;">Gebruik voor datum:</td>
       <td align="left" style="vertical-align: top;"><div id="tht_date"></div></td>
      </tr>
      <tr>
       <td align="right" style="vertical-align: top;">Waarde voorraad:</td>
       <td align="left" colspan="3"><div id="totval"></div></td>
      </tr>
      <tr>
       <td style="padding-top: 15px;" align="right"><input type="button" id="Delete" value="Verwijder" /></td>
       <td style="padding-top: 15px;" align="left"><input type="button" id="Clone" value="Kloon" /></td>
       <td align="right"></td>
       <td style="padding-top: 15px;" align="left"><input style="margin-right: 5px;" type="button" id="Save" value="Sla op" /><input id="Cancel" type="button" value="Annuleer" /></td>
      </tr>
     </table>
    </div>
   </div>

<?php
confirm_delete();
page_footer();

